header {
  display: grid;
  grid-template-columns: 1fr 3fr;
}

/* header img {
  grid-area: a;
} */

/* header .contact {
  grid-area: b;
  max-width: unset;
} */
header .contact {
  max-width: 100%;
  gap: 3rem;
}
header>a {
  position: relative;
}
header>a::after {
  content: "Modernste Technik aus Meisterhand";
  display: block;
  position: absolute;
  bottom: 0;
  left: 2.5em;
  color: #000;
  font-weight: bold;
}

/* header>ul:first-of-type>li:not(:first-of-type) {
  margin-top: 2em;
} */

/* header>ul:last-of-type {
  grid-area: c;
  align-self: center;
} */

header>ul>li {
  display: flex;
}

header>ul>li p {
  margin-top: .2em;
  margin-left: .4em;
}

header nav {
  margin-top: .5rem;
  z-index: 5;
  grid-column: 1/-1;
}

nav>ul {
  display: flex;
  gap: .25rem;
  font-size: 1em;
}

nav li {
  flex-basis: 100%;
  color: white;
  text-align: center;
  position: relative;
  background-color: var(--c1);
  transition: all .2s ease;
}
a:not(a[href]) {
  cursor: default;
}
nav a:hover,
nav a:focus {
  text-decoration: none;
}
nav li:hover,
nav li:focus,
nav li:focus-within {
  background-color: var(--c2);
  color: #000;
  text-decoration: none;
  transition: all .2s ease;
}


nav li li::before {
  content: "";
  display: block;
  width: 100%;
  height: .25rem;
  background-color: var(--c1);
  position: absolute;
  top: -.25rem;
}

nav ul a {
  color: inherit;
  display: block;
  height: 100%;
  line-height: 2.5em;
  transition: all .2s ease;
}

nav>ul ul {
  position: absolute;
  width: 0;
  top: 100%;
  left: -9999rem;
  text-overflow: ellipsis;
  white-space: nowrap;
  transition: width .1s ease-out;
}
nav>ul ul li {
  border-top: .25rem solid transparent;
}
nav li:hover ul {
  /* animation-name: nav_list;
  animation-duration: 3s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards; */
  width: 100%;
  left: 0;
  overflow: hidden;
  transition: width .1s ease-out;
}
